### Вариант 9
### Задание на лабораторную работу:
По данным, построить графики 3 моделей:
- Персептрон  
- Многослойный персептрон с 10-ю нейронами в скрытом слое (alpha = 0.01) 
- Многослойный персептрон с 100-а нейронами в скрытом слое (alpha = 0.01)

Данные: make_classification (n_samples=500, n_features=2, n_redundant=0, n_informative=2, random_state=rs, n_clusters_per_class=1) 

### Как запустить лабораторную работу:
Выполняем файл gusev_vladislav_lab_1.py, на экране будет нарисовано 3 графика

### Технологии
NumPy - библиотека для работы с многомерными массивами. Mathplotlib - библиотека для визуализации данных двумерной и трехмерной графикой. Sklearn - библиотека с большим количеством алгоритмов машинного обучения.

### По коду
Используем функцию make_classification, чтобы сгенерировать 500 примеров с 2 признаками. Дополнительные параметры определяют характеристики данных, такие как количество информативных признаков и случайное распределение классов.

С помощью train_test_split разделяем данные на обучающую и тестовую выборки в соотношении 70% к 30%.

Далее создаются 3 модели: персептрон, многослойный персептрон с 10 нейронами в скрытом слое и многослойный персептрон с 100 нейронами в скрытом слое.Модели обучаются на обучающих данных с использованием метода fit.

Обученные модели используются для предсказания классов на тестовых данных с помощью метода predict.
Затем с помощью accuracy_score оцениваем точности предсказаний моделей на тестовом наборе данных.

Далее создаем графики для каждой модели, где каждая точка данных отображается на графике с цветом, соответствующим предсказанному классу. В заголовках написана точность для каждой модели. Отображаем графики с помощью plt.show().

Полученные графики: ![Figure_1.png](Figure_1.png)
